[PATCH][meta-oe 1/3] ocl-icd: Add PROVIDES="virtual/opencl-icd"


Zoltan Boszormenyi
 

From: Zoltán Böszörményi <zboszor@...>

Both opencl-icd-loader and ocl-icd provide libOpenCL.so.1
and may conflict when packages depend on either one explicitly.

By adding PROVIDES="virtual/opencl-icd", bitbake would warn
about the duplicate offering and this will allow choosing ocl-icd
in place of opencl-icd-loader.

Signed-off-by: Zoltán Böszörményi <zboszor@...>
---
meta-oe/recipes-core/opencl/ocl-icd_2.3.1.bb | 2 ++
1 file changed, 2 insertions(+)

diff --git a/meta-oe/recipes-core/opencl/ocl-icd_2.3.1.bb b/meta-oe/recipes-core/opencl/ocl-icd_2.3.1.bb
index ae9c5bc81..a5acbf84d 100644
--- a/meta-oe/recipes-core/opencl/ocl-icd_2.3.1.bb
+++ b/meta-oe/recipes-core/opencl/ocl-icd_2.3.1.bb
@@ -15,4 +15,6 @@ inherit autotools

DEPENDS = "ruby-native"

+PROVIDES = "virtual/opencl-icd"
+
BBCLASSEXTEND = "native"
--
2.37.1

Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.